package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 前端选择的支付类型
 *
 */
public enum PayTypeEnum implements IEnum<Integer> {

  ALIPAY(1, "支付宝"),
  WXPAY(2, "微信支付"),
  ACCTPAY(3,"余额支付");


  private final int value;
  private final String desc;

  PayTypeEnum(final int value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }
}
